> ## Documentation Index
> Fetch the complete documentation index at: https://docs.levelblue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an Attachment

> Removes an attachment from an investigation.



## OpenAPI

````yaml /documentation/api-reference/v3.yaml delete /investigations/{investigationId}/attachments/{attachmentId}
openapi: 3.0.0
info:
  title: USM Anywhere Investigations API
  version: '3'
  description: >-
    This document contains the API specification for the Investigations
    microservice. You can use this API to build, delete, modify, or list the
    Investigation objects, which may contain attachments, evidence, or notes.
  contact:
    url: http://www.levelblue.com
servers:
  - url: http://investigations.{region}.alienvault.cloud/investigations/v3
security:
  - JWT: []
tags:
  - name: Attachments
  - name: Evidence
  - name: History
  - name: Investigations
  - name: Notes
paths:
  /investigations/{investigationId}/attachments/{attachmentId}:
    parameters:
      - $ref: '#/components/parameters/investigationId'
      - $ref: '#/components/parameters/attachmentId'
    delete:
      tags:
        - Attachments
      summary: Delete an Attachment
      description: Removes an attachment from an investigation.
      operationId: delete-investigations-investigationId-attachments-attachmentId
      responses:
        '204':
          $ref: '#/components/responses/204'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '429':
          $ref: '#/components/responses/429'
        '431':
          $ref: '#/components/responses/431'
        '500':
          $ref: '#/components/responses/500'
        '503':
          $ref: '#/components/responses/503'
components:
  parameters:
    investigationId:
      name: investigationId
      description: The unique identifier of an investigation.
      in: path
      schema:
        type: string
        format: uuid
      required: true
    attachmentId:
      name: attachmentId
      description: The unique identifier of an attachment.
      in: path
      schema:
        type: string
        format: uuid
      required: true
  responses:
    '204':
      description: No Content
      headers:
        Date:
          $ref: '#/components/headers/Date'
        X-ATT-TransactionId:
          $ref: '#/components/headers/X-ATT-TransactionId'
        X-ATT-ServiceVersion:
          $ref: '#/components/headers/X-ATT-ServiceVersion'
        X-ATT-MessageId:
          $ref: '#/components/headers/X-ATT-MessageId'
    '400':
      description: |-
        Bad Request - Many possible reasons associated with the request
        (form, content, etc.). Do not resubmit this request unchanged.
      headers:
        Date:
          $ref: '#/components/headers/Date'
        X-ATT-TransactionId:
          $ref: '#/components/headers/X-ATT-TransactionId'
        X-ATT-ServiceVersion:
          $ref: '#/components/headers/X-ATT-ServiceVersion'
        X-ATT-MessageId:
          $ref: '#/components/headers/X-ATT-MessageId'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorBody'
    '401':
      description: |-
        Unauthorized - Authentication failed or was not provided in the
        Authorization header.
      headers:
        WWW-Authenticate:
          schema:
            type: string
            enum:
              - Bearer
        Date:
          $ref: '#/components/headers/Date'
        X-ATT-TransactionId:
          $ref: '#/components/headers/X-ATT-TransactionId'
        X-ATT-ServiceVersion:
          $ref: '#/components/headers/X-ATT-ServiceVersion'
        X-ATT-MessageId:
          $ref: '#/components/headers/X-ATT-MessageId'
    '403':
      description: |-
        Forbidden - The client has insufficient permissions to access
        the resource
      headers:
        Date:
          $ref: '#/components/headers/Date'
        X-ATT-TransactionId:
          $ref: '#/components/headers/X-ATT-TransactionId'
        X-ATT-ServiceVersion:
          $ref: '#/components/headers/X-ATT-ServiceVersion'
        X-ATT-MessageId:
          $ref: '#/components/headers/X-ATT-MessageId'
    '404':
      description: |-
        Not Found - The server has not found anything matching the
        Request-URI. No indication is given of whether the condition
        is temporary or permanent.
      headers:
        Date:
          $ref: '#/components/headers/Date'
        X-ATT-TransactionId:
          $ref: '#/components/headers/X-ATT-TransactionId'
        X-ATT-ServiceVersion:
          $ref: '#/components/headers/X-ATT-ServiceVersion'
        X-ATT-MessageId:
          $ref: '#/components/headers/X-ATT-MessageId'
    '429':
      description: Too Many Requests
      headers:
        Date:
          $ref: '#/components/headers/Date'
        Retry-After:
          schema:
            type: integer
          description: |-
            Tells the user how long to wait in seconds before making
            another request in seconds.
        X-ATT-TransactionId:
          $ref: '#/components/headers/X-ATT-TransactionId'
        X-ATT-ServiceVersion:
          $ref: '#/components/headers/X-ATT-ServiceVersion'
        X-ATT-MessageId:
          $ref: '#/components/headers/X-ATT-MessageId'
    '431':
      description: |-
        Request Header Fields Too Large - either an individual
        header or the headers as a whole
      headers:
        Date:
          $ref: '#/components/headers/Date'
        Retry-After:
          schema:
            type: integer
          description: |-
            Tells the user how long to wait in seconds before making
            another request in seconds.
        X-ATT-TransactionId:
          $ref: '#/components/headers/X-ATT-TransactionId'
        X-ATT-ServiceVersion:
          $ref: '#/components/headers/X-ATT-ServiceVersion'
        X-ATT-MessageId:
          $ref: '#/components/headers/X-ATT-MessageId'
    '500':
      description: |-
        Internal Sever Error - The server encountered an internal error
        or timed out. Please try again later.
      headers:
        Date:
          $ref: '#/components/headers/Date'
        X-ATT-TransactionId:
          $ref: '#/components/headers/X-ATT-TransactionId'
        X-ATT-ServiceVersion:
          $ref: '#/components/headers/X-ATT-ServiceVersion'
        X-ATT-MessageId:
          $ref: '#/components/headers/X-ATT-MessageId'
    '503':
      description: |-
        Service Unavailable - The server is currently unable to receive
        requests. Please try again later.
      headers:
        Date:
          $ref: '#/components/headers/Date'
        X-ATT-TransactionId:
          $ref: '#/components/headers/X-ATT-TransactionId'
        X-ATT-ServiceVersion:
          $ref: '#/components/headers/X-ATT-ServiceVersion'
        X-ATT-MessageId:
          $ref: '#/components/headers/X-ATT-MessageId'
  headers:
    Date:
      schema:
        type: string
        format: date-time
      required: true
    X-ATT-TransactionId:
      description: |-
        A service provided value that uniquely identifies a message
        returned by the service.
      schema:
        type: string
        format: uuid
      required: true
    X-ATT-ServiceVersion:
      description: |-
        Identifies the version number of the service that processed
        the request.
      schema:
        type: string
      required: true
    X-ATT-MessageId:
      description: |-
        A client-provided value that uniquely identifies a client
        generated message sent to the service. This header will be
        present in the response if the client provided one in the
        request.
      schema:
        type: string
      required: false
  schemas:
    errorBody:
      title: errorBody
      type: object
      properties:
        errorId:
          type: string
          description: |-
            Unique errorId in the context of an API.

            Recommendation: two hyphen-delimited subfields:
            * Domain: identifies the API, application, service or general
              category to which the error belongs.
            * Code: provides a unique numeric code within the domain.

            Examples: General-0001, DataDict-0001
        message:
          type: string
          description: Message text
        variables:
          type: array
          description: >-
            List of zero or more strings that represent the contents of the
            variables used by the message text.
          items:
            type: string
        errorUrl:
          type: string
          format: uri
          description: >-
            Hyperlink to more information about the error, including causes and
            solutions.
      required:
        - errorId
        - message
      x-examples:
        full error body:
          errorId: addressbook-0003
          message: 'Invalid input value for property %1. Valid values are: %2.'
          variables:
            - addressType
            - Home, Work, Other
          errorUrl: http://dev.att.com/apis/errors?code=addressbook-0003
        minimal error body:
          errorId: addressbook-0001
          message: Daily TPS limit exceeded.
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````